Subject: FVWM: hangup with miscalled Exec

From: Marco Mariani <[email-masked]>
Date: Sat, 24 Aug 1996 14:35:38 -0100 (GMT-0100)

Hi all!

I am configuring my desktop (a very cute 1024x768x64k, with 32x32 icons on
menus, mail me if you'd like to receive an example) and I've mistakenly
run gnuplot as "Exec gnuplot", instead of through an xterm.

So, what happened?

Well, gnuplot prints some info on the console, and X just hangs.
I killed gnuplot with -9, it became a zombie, and fvwm was still frozen, with
the previous menu stuck on the screen.

The only way to recover the system is to kill X (killing fvwm doesn't work).

Is it possible to avoid such hangups? Of course it has been my fault, but I
had other things running.

Is this caused by fvwm (2.0.43), X (XFree 3.1.2E), or the kernel
(linux 2.0.14)?

This is the loop I can see with "strace gnuplot":

ioctl(0, TCSETSW, {B38400 opost isig -icanon -echo ...}) = ? ERESTARTSYS (To be restarted)
--- SIGTTOU (Stopped (tty output)) ---
ioctl(0, TCSETSW, {B38400 opost isig -icanon -echo ...}) = ? ERESTARTSYS (To be restarted)
--- SIGTTOU (Stopped (tty output)) ---
ioctl(0, TCSETSW, {B38400 opost isig -icanon -echo ...}) = ? ERESTARTSYS (To be restarted)
--- SIGTTOU (Stopped (tty output)) ---
ioctl(0, TCSETSW, {B38400 opost isig -icanon -echo ...}) = ? ERESTARTSYS (To be restarted)
--- SIGTTOU (Stopped (tty output)) ---
ioctl(0, TCSETSW, {B38400 opost isig -icanon -echo ...}) = ? ERESTARTSYS (To be restarted)
--- SIGTTOU (Stopped (tty output)) ---
ioctl(0, TCSETSW, {B38400 opost isig -icanon -echo ...}) = ? ERESTARTSYS (To be restarted)
--- SIGTTOU (Stopped (tty output)) ---

All The Best,
 Marco

Excuse the waste of bandwidth, please send flames to my alternate address
([email-masked]).

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].